{{ ParallaxLaserRangeFinderBridge-002.spin
  ____________________________________________
  Code written by Duane Degn for
  use with Say It Module
  ____________________________________________
  Modified for use with
  Parallax Laser Range Finder
  Product ID 28044
  by M.Sapp 2015_01_09 

  Image grab works at 19200 and 9600 baud
  using 28044-LRF-ImageViewer-1.2 software
  and Propeller Activity Board Rev B

  This program must be loaded into EEPROM
  on the Propeller Activity Board.
  Then, "power off then on", "both the LRF and
  the Propeller Activity Board".
  Then, run the  "LRF-ImageViewer" software.

  REMEMBER: LRF Power must be cycled for theLRF to
  set to a new baud rate.
  _____________________________________________
}}
    
CON

  _Clkmode = xtal1 + pll16x     ' 80MHz  Change these two settings to match
  _Xinfreq = 5_000_000          ' your setup.

  ' Pin Assignments
  ' _LrfLed = 26                ' Connected to Led on Say It  15
 
  _LrfTx = 6                    ' Connected to Rx (Sn on LRF)
  _LrfRx = 7                    ' Connected to Tx (Sout on LRF)
  _DebugTxPin = 30
  _DebugRxPin = 31
 
  _LrfBaud = 19200             '11520 57600 38400 19200 9600  
   
OBJ

  Com : "FullDuplexSerial4portB"                        ' uses one cog
                                
  Aux : "FullDuplexSerial4port"                         ' uses one cog
  
PUB Main | localIndex, localAttmpts

  Com.Init 
  Com.AddPort(0, _DebugRxPin, _DebugTxPin, -1, -1, 0, 0, _LrfBaud)
  Com.Start                                            
 
  Aux.Init
  Aux.AddPort(0, _LrfRx, _LrfTx, -1, -1, 0, 0, _LrfBaud)
  Aux.Start                                    

  waitcnt(clkfreq / 4 + cnt)

  repeat
    result := Com.rxcheck(0)
    if result <> -1 and result <> 0
      Aux.tx(0, result)
    result := Aux.rxcheck(0)
    if result <> -1 and result <> 0
      Com.tx(0, result)
      